/// <reference types="node" />
import fs from 'fs';
export declare const access: typeof fs.access.__promisify__;
export declare const appendFile: typeof fs.appendFile.__promisify__;
export declare const chmod: typeof fs.chmod.__promisify__;
export declare const chown: typeof fs.chown.__promisify__;
export declare const close: typeof fs.close.__promisify__;
export declare const copyFile: typeof fs.copyFile.__promisify__;
export declare const exists: typeof fs.exists.__promisify__;
export declare const fchmod: typeof fs.fchmod.__promisify__;
export declare const fchown: typeof fs.fchown.__promisify__;
export declare const fdatasync: typeof fs.fdatasync.__promisify__;
export declare const fstat: typeof fs.fstat.__promisify__;
export declare const fsync: typeof fs.fsync.__promisify__;
export declare const ftruncate: typeof fs.ftruncate.__promisify__;
export declare const futimes: typeof fs.futimes.__promisify__;
export declare const link: (arg1: fs.PathLike, arg2: fs.PathLike) => Promise<void>;
export declare const lstat: typeof fs.lstat.__promisify__;
export declare const mkdir: typeof fs.mkdir.__promisify__;
export declare const mkdtemp: typeof fs.mkdtemp.__promisify__;
export declare const open: typeof fs.open.__promisify__;
export declare const read: typeof fs.read.__promisify__;
export declare const readdir: typeof fs.readdir.__promisify__;
export declare const readFile: typeof fs.readFile.__promisify__;
export declare const readlink: typeof fs.readlink.__promisify__;
export declare const realpath: typeof fs.realpath.__promisify__;
export declare const rename: typeof fs.rename.__promisify__;
export declare const rmdir: typeof fs.rmdir.__promisify__;
export declare const stat: typeof fs.stat.__promisify__;
export declare const symlink: typeof fs.symlink.__promisify__;
export declare const truncate: typeof fs.truncate.__promisify__;
export declare const unlink: typeof fs.unlink.__promisify__;
export declare const utimes: typeof fs.utimes.__promisify__;
export declare const write: typeof fs.write.__promisify__;
export declare const writeFile: typeof fs.writeFile.__promisify__;
/**
 * Check if a path points to an existing file.
 *
 * @param path possible file path
 * @param statFn optional custom stat function (e.g. lstat to detect links)
 */
export declare function fileExists(path: string, statFn?: typeof fs.stat.__promisify__): Promise<boolean>;
/**
 * Check if a path points to an existing directory.
 *
 * @param path possible directory path
 * @param statFn optional custom stat function (e.g. lstat to detect links)
 */
export declare function directoryExists(path: string, statFn?: typeof fs.stat.__promisify__): Promise<boolean>;
/**
 * Ensure a directory and its parent directory chain exists.
 *
 * @param directoryPath directory to ensure
 */
export declare function ensureDirectory(directoryPath: string): Promise<void>;
//# sourceMappingURL=promised-fs.d.ts.map