/// <reference types="node" />
import { statSync } from 'fs';
export { accessSync, appendFileSync, chmodSync, chownSync, closeSync, copyFileSync, existsSync, fchmodSync, fchownSync, fdatasyncSync, fstatSync, fsyncSync, ftruncateSync, futimesSync, linkSync, lstatSync, mkdirSync, mkdtempSync, openSync, readSync, readdirSync, readFileSync, readlinkSync, realpathSync, renameSync, rmdirSync, statSync, symlinkSync, truncateSync, unlinkSync, utimesSync, writeSync, writeFileSync, } from 'fs';
/**
 * Check if a path points to an existing file.
 *
 * @param path possible file path
 * @param statFn optional custom stat function (e.g. lstat to detect links)
 */
export declare function fileExistsSync(path: string, statFn?: typeof statSync): boolean;
/**
 * Check if a path points to an existing directory.
 *
 * @param path possible directory path
 * @param statFn optional custom stat function (e.g. lstatSync to detect links)
 */
export declare function directoryExistsSync(path: string, statFn?: typeof statSync): boolean;
/**
 * Ensure a directory and its parent directory chain exists.
 *
 * @param directoryPath directory to ensure
 */
export declare function ensureDirectorySync(directoryPath: string): void;
//# sourceMappingURL=sync-fs.d.ts.map