"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const path_1 = require("path");
var fs_2 = require("fs");
exports.accessSync = fs_2.accessSync;
exports.appendFileSync = fs_2.appendFileSync;
exports.chmodSync = fs_2.chmodSync;
exports.chownSync = fs_2.chownSync;
exports.closeSync = fs_2.closeSync;
exports.copyFileSync = fs_2.copyFileSync;
exports.existsSync = fs_2.existsSync;
exports.fchmodSync = fs_2.fchmodSync;
exports.fchownSync = fs_2.fchownSync;
exports.fdatasyncSync = fs_2.fdatasyncSync;
exports.fstatSync = fs_2.fstatSync;
exports.fsyncSync = fs_2.fsyncSync;
exports.ftruncateSync = fs_2.ftruncateSync;
exports.futimesSync = fs_2.futimesSync;
exports.linkSync = fs_2.linkSync;
exports.lstatSync = fs_2.lstatSync;
exports.mkdirSync = fs_2.mkdirSync;
exports.mkdtempSync = fs_2.mkdtempSync;
exports.openSync = fs_2.openSync;
exports.readSync = fs_2.readSync;
exports.readdirSync = fs_2.readdirSync;
exports.readFileSync = fs_2.readFileSync;
exports.readlinkSync = fs_2.readlinkSync;
exports.realpathSync = fs_2.realpathSync;
exports.renameSync = fs_2.renameSync;
exports.rmdirSync = fs_2.rmdirSync;
exports.statSync = fs_2.statSync;
exports.symlinkSync = fs_2.symlinkSync;
exports.truncateSync = fs_2.truncateSync;
exports.unlinkSync = fs_2.unlinkSync;
exports.utimesSync = fs_2.utimesSync;
exports.writeSync = fs_2.writeSync;
exports.writeFileSync = fs_2.writeFileSync;
/**
 * Check if a path points to an existing file.
 *
 * @param path possible file path
 * @param statFn optional custom stat function (e.g. lstat to detect links)
 */
function fileExistsSync(path, statFn = fs_1.statSync) {
    try {
        return statFn(path).isFile();
    }
    catch (_a) {
        return false;
    }
}
exports.fileExistsSync = fileExistsSync;
/**
 * Check if a path points to an existing directory.
 *
 * @param path possible directory path
 * @param statFn optional custom stat function (e.g. lstatSync to detect links)
 */
function directoryExistsSync(path, statFn = fs_1.statSync) {
    try {
        return statFn(path).isDirectory();
    }
    catch (_a) {
        return false;
    }
}
exports.directoryExistsSync = directoryExistsSync;
/**
 * Ensure a directory and its parent directory chain exists.
 *
 * @param directoryPath directory to ensure
 */
function ensureDirectorySync(directoryPath) {
    if (directoryExistsSync(directoryPath)) {
        return;
    }
    try {
        fs_1.mkdirSync(directoryPath);
    }
    catch (e) {
        const parentPath = path_1.dirname(directoryPath);
        if (parentPath === directoryPath) {
            throw e;
        }
        ensureDirectorySync(parentPath);
        fs_1.mkdirSync(directoryPath);
    }
}
exports.ensureDirectorySync = ensureDirectorySync;
//# sourceMappingURL=sync-fs.js.map